## python-ewah-bool-utils 1.0.2

=== debian/changelog ===
python-ewah-bool-utils (1.0.2-2) unstable; urgency=medium

  * Source-only re-upload

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Jul 2023 20:50:44 +0200

python-ewah-bool-utils (1.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1038969)

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Jun 2023 14:48:51 +0200

## python-ewah-bool-utils 1.3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = ewah_bool_utils
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-ewah-bool-utils 1.1.0

=== debian/changelog ===
python-ewah-bool-utils (1.1.0-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:30:18 +0000

python-ewah-bool-utils (1.1.0-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:25:37 +0100

python-ewah-bool-utils (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 17 Sep 2023 10:18:26 +0200

=== debian/control ===
Source: python-ewah-bool-utils
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>,
           Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-setuptools (>= 61.2~),
               python3-all-dev,
               python3-numpy,
               python3-wheel,
               cython3 (>= 0.29.22~),
               dh-python
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/ewah-bool-utils
Vcs-Git: https://salsa.debian.org/python-team/packages/ewah-bool-utils.git
Homepage: https://github.com/yt-project/ewah_bool_utils
Rules-Requires-Root: no

Package: python3-ewah-bool-utils
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: EWAH Bool Array compression
 EWAH Bool Array compression is a repackaging and Python-exposed
 version of "Enhanced Word-Aligned Hybrid" (EWAH) compression. It's a
 Python wrapper to a compressed bitarray method, for storing large
 bitsets.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ewah_bool_utils

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-ewah-bool-utils 1.2.1

=== debian/changelog ===
python-ewah-bool-utils (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 24 May 2024 08:23:15 +0200

python-ewah-bool-utils (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Rediff patches
  * Call dh_numpy during build
  * Fix CI test

 -- Ole Streicher <olebole@debian.org>  Tue, 09 Apr 2024 17:17:02 +0200

## python-ewah-bool-utils 1.2.2

=== debian/changelog ===
python-ewah-bool-utils (1.2.2-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:48:00 +0000

python-ewah-bool-utils (1.2.2-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:42:27 +0000

python-ewah-bool-utils (1.2.2-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:32:53 +0100

python-ewah-bool-utils (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Aug 2024 16:28:02 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-wheel,
                cython3 (>= 0.29.22~),
                dh-python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ewah-bool-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/ewah-bool-utils.git
 Homepage: https://github.com/yt-project/ewah_bool_utils

## python-ewah-bool-utils 1.3.0

=== debian/changelog ===
python-ewah-bool-utils (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Rediff patches
  * Remove unnecessary build-dep minversions
  * Push Standards-Version to 4.7.2, no changes needed
  * New build dependency python3-numpy-dev

 -- Ole Streicher <olebole@debian.org>  Sat, 23 Aug 2025 15:00:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
-               python3-setuptools (>= 61.2~),
+               python3-setuptools,
                python3-all-dev,
                python3-numpy,
+               python3-numpy-dev,
                python3-wheel,
-               cython3 (>= 0.29.22~),
+               cython3,
                dh-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ewah-bool-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/ewah-bool-utils.git
 Homepage: https://github.com/yt-project/ewah_bool_utils

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_python3:
+	dh_numpy3
+	dh_python3

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-ewah_bool_utils-$1\.tar\.gz/ \
  https://github.com/yt-project/ewah_bool_utils/tags .*/v?(\d\S+)\.tar\.gz
